Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1602961 - Package review: ansible-role-openstack-operations - Ansible role with Day2 Operations tasks for TripleO
Summary: Package review: ansible-role-openstack-operations - Ansible role with Day2 Op...
Keywords:
Status: POST
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: trunk
Assignee: Yatin Karel
QA Contact: hguemar
URL:
Whiteboard:
: 1678754 (view as bug list)
Depends On:
Blocks: RDO-STEIN
TreeView+ depends on / blocked
 
Reported: 2018-07-18 21:58 UTC by Jill Rouleau
Modified: 2019-02-19 15:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
ykarel: rdo-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 15040 None None None 2019-01-04 17:01:00 UTC
RDO 16794 None None None 2019-01-04 17:05:23 UTC

Description Jill Rouleau 2018-07-18 21:58:56 UTC
Package TripleO day2 operations ansible role 

https://git.openstack.org/cgit/openstack/ansible-role-openstack-operations/

Comment 1 Jill Rouleau 2018-07-25 17:03:56 UTC
Repo was missing license file, when https://review.openstack.org/585827 lands will be:

ansible-role-openstack-operations$ licensecheck -r .
./library/docker_facts.py: UNKNOWN
./library/service_map_facts.py: *No copyright* UNKNOWN
./LICENSE: *No copyright* GENERATED FILE
./README.md: *No copyright* UNKNOWN

Comment 4 Alfredo Moralejo 2018-10-04 17:04:41 UTC
$ licensecheck -r .
./.gitreview: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.md: *No copyright* UNKNOWN
./ansible-requirements.txt: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0)
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./ci-scripts/ansible-lint.sh: *No copyright* UNKNOWN
./defaults/main.yml: *No copyright* UNKNOWN
./library/docker_facts.py: Apache (v2.0)
./library/service_map_facts.py: Apache (v2.0)
./meta/main.yml: *No copyright* UNKNOWN
./tasks/container_cleanup.yml: *No copyright* UNKNOWN
./tasks/docker.yml: *No copyright* UNKNOWN
./tasks/fetch_logs.yml: *No copyright* UNKNOWN
./tasks/podman.yml: *No copyright* UNKNOWN
./tasks/restart_service.yml: *No copyright* UNKNOWN
./vars/main.yml: *No copyright* UNKNOWN
./zuul.d/layout.yaml: *No copyright* UNKNOWN


license seems good, Apache v2.0.

Comment 6 Yatin Karel 2019-02-07 06:54:16 UTC
fedora-review is run against srpm:- fedora-review is run against srpm:- https://logs.rdoproject.org/06/18306/2/check/legacy-DLRN-rpmbuild-fedora/cc46787/buildset/fedora/current/ansible-role-openstack-operations-0.0.1-0.20190201165847.784a2cd.fc28.src.rpm

- Package has following issues which are justified:-
1) %check is not present, it's ansible module and no tests exists.
2) Spec use %global instead of %define unless justified: The automated tool: dlrn inserts it.
   installed with package, but are not used directly, the service uses it during deployment.
3) rpmlint Errors:- no-changelogname-tag, automated tool(dlrn) takes care of changelog
4) rpmlint Errors:- non-executable-script, these are ansible templates, used only with deployment.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 34 files have unknown
     license. Detailed output of licensecheck in /tmp/ansible-role-
     openstack-operations/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/ansible
[x]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev29
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: ansible-role-openstack-operations-0.0.1-0.20190201165847.784a2cd.fc28.noarch.rpm
          ansible-role-openstack-operations-0.0.1-0.20190201165847.784a2cd.fc28.src.rpm
ansible-role-openstack-operations.noarch: E: no-changelogname-tag
ansible-role-openstack-operations.noarch: E: zero-length /usr/share/ansible/roles/openstack-operations/handlers/main.yml
ansible-role-openstack-operations.noarch: E: zero-length /usr/share/ansible/roles/openstack-operations/tasks/main.yml
ansible-role-openstack-operations.noarch: E: non-executable-script /usr/share/ansible/roles/openstack-operations/templates/backup_mysql.sh.j2 644 /bin/bash 
ansible-role-openstack-operations.noarch: E: non-executable-script /usr/share/ansible/roles/openstack-operations/templates/create_new_db.sh.j2 644 /bin/bash 
ansible-role-openstack-operations.src: E: no-changelogname-tag
ansible-role-openstack-operations.src: W: strange-permission ansible-role-openstack-operations.spec 600
ansible-role-openstack-operations.src: W: invalid-url Source0: ansible-role-openstack-operations-0.0.1.dev29-0.20190201165847.784a2cd.tar.gz
2 packages and 0 specfiles checked; 6 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
ansible-role-openstack-operations.noarch: E: no-changelogname-tag
ansible-role-openstack-operations.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/ansible-role-openstack-operations <urlopen error [Errno -2] Name or service not known>
ansible-role-openstack-operations.noarch: E: zero-length /usr/share/ansible/roles/openstack-operations/handlers/main.yml
ansible-role-openstack-operations.noarch: E: zero-length /usr/share/ansible/roles/openstack-operations/tasks/main.yml
ansible-role-openstack-operations.noarch: E: non-executable-script /usr/share/ansible/roles/openstack-operations/templates/backup_mysql.sh.j2 644 /bin/bash 
ansible-role-openstack-operations.noarch: E: non-executable-script /usr/share/ansible/roles/openstack-operations/templates/create_new_db.sh.j2 644 /bin/bash 
1 packages and 0 specfiles checked; 5 errors, 1 warnings.



Requires
--------
ansible-role-openstack-operations (rpmlib, GLIBC filtered):
    python(abi)
    python3dist(ansible)



Provides
--------
ansible-role-openstack-operations:
    ansible-role-openstack-operations
    python3.6dist(ansible-role-openstack-operations)
    python3dist(ansible-role-openstack-operations)


Package is APPROVED.

Comment 7 Martin Magr 2019-02-19 15:06:13 UTC
*** Bug 1678754 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.